> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Uninstall Plugin Endpoint

> Uninstall a plugin by name.



## OpenAPI

````yaml /openapi/agent-sdk.json delete /api/plugins/installed/{plugin_name}
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/plugins/installed/{plugin_name}:
    delete:
      tags:
        - Plugins
      summary: Uninstall Plugin Endpoint
      description: Uninstall a plugin by name.
      operationId: uninstall_plugin_endpoint_api_plugins_installed__plugin_name__delete
      parameters:
        - description: Plugin name (lowercase alphanumeric, hyphens)
          in: path
          name: plugin_name
          required: true
          schema:
            description: Plugin name (lowercase alphanumeric, hyphens)
            maxLength: 255
            minLength: 1
            pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$
            title: Plugin Name
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UninstallPluginResponse'
          description: Successful Response
        '404':
          description: Plugin not installed
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    UninstallPluginResponse:
      description: Response from a plugin uninstall.
      properties:
        message:
          title: Message
          type: string
      required:
        - message
      title: UninstallPluginResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.